#include <bits/stdc++.h>
#define int long long
#define endl '\n'
using namespace std;
void solve()
{
    int n;
    cin>>n;
    int a[n];
    map<int,int>m;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        m[a[i]]++;
    }
    int ans=0,x=0;
    for(auto it=m.rbegin();it!=m.rend();it++)
    {
        if(it->first-x<=0)break;
        ans+=(it->first-x)*(it->second);
        x+=it->second;
    }
    cout<<ans;
}
int32_t main()
{
    ios_base::sync_with_stdio(false);
    cout.tie(nullptr);cin.tie(nullptr);
    int ut=1;
//    cin>>ut;
    while(ut--)solve();
}
